Skip to main content
PATCH
Update assignment record

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

version
enum<string>
default:v2
required

The API version to use.

Available options:
v1,
v2
user
integer
required
assignment_record
integer
required

Query Parameters

include
enum<string>
Available options:
attachments,
author,
author.*,
comments,
comments.*,
document,
position,
specialty,
status,
unit,
unit.*

Body

application/json
user_id
integer
required

The ID of the user this assignment record belongs to.

type
enum<string>
required

The type of assignment record.

Available options:
primary,
secondary
status_id
integer | null

The ID of the status assigned to the user.

unit_id
integer | null

The ID of the unit assigned to the user.

position_id
integer | null

The ID of the position assigned to the user.

specialty_id
integer | null

The ID of the specialty assigned to the user.

document_id
integer | null

The ID of the document associated with this assignment record.

author_id
integer

The ID of the user who created this assignment record.

text
string | null

Additional notes or information about this assignment record. Supports HTML.

Maximum string length: 65535

Response

OK

data
AssignmentRecordResource · object